curl --request GET \
--url https://api.gcore.com/cloud/v1/instances/{project_id}/{region_id}/available_names \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/instances/{project_id}/{region_id}/available_names"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/instances/{project_id}/{region_id}/available_names', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowed_bm_name_templates": [
"ed-b9-{ip_octets}"
],
"allowed_bm_name_win_templates": [
"ed-c4-{two_ip_octets}"
],
"allowed_name_templates": [
"ed-c4-{ip_octets}"
],
"allowed_name_win_templates": [
"ed-b9-{one_ip_octet}"
],
"custom_name_allowed": false,
"name_templates_limited": true
}Get instance naming restrictions
Get the naming restrictions applied to instances in the specified project and region. This endpoint is deprecated.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
1
Response
OK
Clients will only be able to use these strings as bare metal server "bm_name_templates".
["ed-b9-{ip_octets}"]
Clients will only be able to use these strings as bare metal server "bm_name_templates".
["ed-c4-{two_ip_octets}"]
If "name_templates_limited" is True, this is the list of allowed instance name templates.
["ed-c4-{ip_octets}"]
If "name_templates_limited" is True, this is the list of allowed windows instance name templates.
["ed-b9-{one_ip_octet}"]
If true, instances can be created using "names" field.
false
If true, only specific strings are allowed in "name_templates" fields.
true
Was this page helpful?